DEJAGNU(1)

NAME
dejagnu - DejaGnu auxiliary command launcher

SYNOPSIS
dejagnu <command> [--help | options...]
dejagnu --help
dejagnu --version

DESCRIPTION
The dejagnu command finds a script that implements the requested command, selects from multiple implementations if available according to a fixed internal list, and executes the command.

OPTIONS

--help
    Print a help message instead of running a command. If no command is given, prints brief usage for dejagnu itself.

-V, --version
    Print a version banner for the launcher itself including the version of DejaGnu. Any command given is ignored.

-v, --verbose
    Emit additional output describing the operation of the dejagnu launcher itself. This option is also passed on to the invoked command.

All arguments after the command name are passed to the invoked command.

ENVIRONMENT

DEJAGNULIBS
    If set, the location of DejaGnu's library in the filesystem. The search described in FILES does not happen if DEJAGNULIBS is set.

AWK Full file name for an Awk interpreter that may or may not actually be GNU Awk. If not set, PATH will be searched for an awk program. If the Awk interpreter is actually GNU Awk, the --posix option will be given if an Awk implementation is used.

GAWK
    Full file name for GNU Awk. If not set, PATH will be searched for a gawk program.

BASH
    Full file name for GNU Bash. If not set, PATH will be searched for a bash program. Note that Bash itself sets this variable, even when run as sh, even when running a script.

EXPECT
    Full file name for Expect, which is a Tcl interpreter with the Expect extension already loaded. If not set, PATH will be searched for an expect program. Note that the DejaGnu core is written in Expect, so this interpreter should always be available.

TCLSH
    Full file name for a Tcl interpreter. If not set, PATH will be searched for a tclsh program.

Note that GNU Awk is considered a superset of Awk and that Expect is considered a superset of Tcl, allowing the former to be used to run scripts written for the latter. This means that, while Awk programs will generally be run with GNU extensions disabled using the --posix option to GNU Awk, Tcl programs may be run with either tclsh or expect and should be written accordingly.

FILES

$DEJAGNULIBS/commands
    If DEJAGNULIBS is set, all command scripts are expected to be in this directory.
Otherwise, the first directory that actually exists in the following list is used, where @bindir@ represents the directory containing dejagnu itself.

@bindir@/../share/dejagnu/commands

@bindir@/../../share/dejagnu/commands

/usr/share/dejagnu/commands

/usr/local/share/dejagnu/commands

SEE ALSO
The full documentation for DejaGnu is maintained as a Texinfo manual. If the info program is properly installed at your site, the command info dejagnu should give you access to the complete manual.

AUTHORS
Jacob Bachmeyer

BUGS
The command name must precede all other arguments due to limitations of the shell.